Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.interactive.completors
[Groovy] Class ClassNameCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.grails.cli.interactive.completors.ClassNameCompletor

All Implemented Interfaces:
  BuildSettingsAware

    abstract class ClassNameCompletor
    extends jline.SimpleCompletor

A completor that completes

Property Summary
`BuildSettings` | `buildSettings`

Constructor Summary
`ClassNameCompletor()`

Method Summary
`int` | `complete(java.lang.String buffer, int cursor, java.util.List clist)`
`java.lang.String` | `getCommandName()` @return The command name doing the completion
`boolean` | `shouldInclude(Resource res)`

Methods inherited from class jline.SimpleCompletor
jline.SimpleCompletor#clone(), jline.SimpleCompletor#complete(java.lang.String, int, java.util.List), jline.SimpleCompletor#getCandidates(), jline.SimpleCompletor#setDelimiter(java.lang.String), jline.SimpleCompletor#getDelimiter(), jline.SimpleCompletor#setCandidates(java.util.SortedSet), jline.SimpleCompletor#setCandidateStrings([Ljava.lang.String;), jline.SimpleCompletor#addCandidateString(java.lang.String), jline.SimpleCompletor#wait(), jline.SimpleCompletor#wait(long), jline.SimpleCompletor#wait(long, int), jline.SimpleCompletor#equals(java.lang.Object), jline.SimpleCompletor#toString(), jline.SimpleCompletor#hashCode(), jline.SimpleCompletor#getClass(), jline.SimpleCompletor#notify(), jline.SimpleCompletor#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### buildSettings

    BuildSettings buildSettings

Constructor Detail

### ClassNameCompletor

    ClassNameCompletor()

Method Detail

### complete

    @Override
    int complete(java.lang.String buffer, int cursor, java.util.List clist)

### getCommandName

    java.lang.String getCommandName()

  Returns:
    The command name doing the completion

### shouldInclude

    boolean shouldInclude(Resource res)

Groovy Documentation